def oblicz_dlug_nieprzedluzalne(n, ciag):
  dlug_nieprzedluzalne = []
  aktualna_dlugosc = 1
  for i in range(n):  # na koncu porownamy sie z ciag[n+1], ktory jest zerem
    if ciag[i] < ciag[i+1]:
      aktualna_dlugosc += 1
    else:
      dlug_nieprzedluzalne.append(aktualna_dlugosc)
      aktualna_dlugosc = 1
  return dlug_nieprzedluzalne


def ile_fragmentow(dlug_nieprzedluzalne, k):
  wynik = 0
  for x in dlug_nieprzedluzalne:
    wynik += max(0, x-k+1)
  return wynik


n = int(input())
ciag = list(map(int, input().split()))
ciag.append(0)  # dodajemy zero na koncu ciagu dla latwiejszej implementacji

dlug_nieprzedluzalne = oblicz_dlug_nieprzedluzalne(n, ciag)

q = int(input())
for _ in range(q):
  k = int(input())
  print(ile_fragmentow(dlug_nieprzedluzalne, k))
